Xerces-C++: XMLBigDecimal Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# XMLBigDecimal Class Reference

Inheritance diagram for XMLBigDecimal:

List of all members.

## Public Member Functions
| XMLBigDecimal (const XMLCh *const strValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.
| ~XMLBigDecimal ()
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value.
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data.
virtual int | getSign () const
| Returns the sign of this number.
const XMLCh * | getValue () const
unsigned int | getScale () const
unsigned int | getTotalDigit () const
XMLCh * | getIntVal () const
int | toCompare (const XMLBigDecimal &other) const
| Compares this object to the specified object.
void | setDecimalValue (const XMLCh *const strValue)
MemoryManager * | getMemoryManager () const
| XMLBigDecimal (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
## Static Public Member Functions
static int | compareValues (const XMLBigDecimal *const lValue, const XMLBigDecimal *const rValue, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
static XMLCh * | getCanonicalRepresentation (const XMLCh *const rawData, MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
static void | parseDecimal (const XMLCh *const toParse, XMLCh *const retBuffer, int &sign, int &totalDigits, int &fractDigits, MemoryManager *const manager)
static void | parseDecimal (const XMLCh *const toParse, MemoryManager *const manager)

## Constructor & Destructor Documentation

XMLBigDecimal::XMLBigDecimal | ( | const XMLCh *const | strValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

Constructs a newly allocated `XMLBigDecimal` object that represents the value represented by the string.

Parameters:

  | strValue | the `String` to be converted to an `XMLBigDecimal`.
  | manager | Pointer to the memory manager to be used to allocate objects.

Exceptions:

  | NumberFormatException | if the `String` does not contain a parsable XMLBigDecimal.

XMLBigDecimal::~XMLBigDecimal | ( |  | ) |

XMLBigDecimal::XMLBigDecimal | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## Member Function Documentation

static int XMLBigDecimal::compareValues | ( | const XMLBigDecimal *const | lValue,
|  | const XMLBigDecimal *const | rValue,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[static]`

static XMLCh* XMLBigDecimal::getCanonicalRepresentation | ( | const XMLCh *const | rawData,
|  | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  | `[static]`

static void XMLBigDecimal::parseDecimal | ( | const XMLCh *const | toParse,
|  | XMLCh *const | retBuffer,
|  | int & | sign,
|  | int & | totalDigits,
|  | int & | fractDigits,
|  | MemoryManager *const | manager |
| ) |  |  | `[static]`

static void XMLBigDecimal::parseDecimal | ( | const XMLCh *const | toParse,
|  | MemoryManager *const | manager |
| ) |  |  | `[static]`

XMLCh * XMLBigDecimal::getRawData | ( |  | ) | const`[virtual]`

Return string representation of the decimal value.

A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

const XMLCh * XMLBigDecimal::getFormattedString | ( |  | ) | const`[virtual]`

Return the original and converted value of the original data.

(applicable to double/float)

The internal buffer is returned directly, user is not required to delete the returned buffer

Implements XMLNumber.

int XMLBigDecimal::getSign | ( |  | ) | const`[virtual]`

Returns the sign of this number.

-1 negative 0 zero 1 positive

Implements XMLNumber.

const XMLCh * XMLBigDecimal::getValue | ( |  | ) | const

unsigned int XMLBigDecimal::getScale | ( |  | ) | const

unsigned int XMLBigDecimal::getTotalDigit | ( |  | ) | const

XMLCh * XMLBigDecimal::getIntVal | ( |  | ) | const

int XMLBigDecimal::toCompare | ( | const XMLBigDecimal & | other | ) | const

Compares this object to the specified object.

Parameters:

  | other | the object to compare with.

Returns:
  `-1` value is less than other's `0` value equals to other's `+1` value is greater than other's

void XMLBigDecimal::setDecimalValue | ( | const XMLCh *const | strValue | ) |

MemoryManager * XMLBigDecimal::getMemoryManager | ( |  | ) | const

The documentation for this class was generated from the following file:

- XMLBigDecimal.hpp